<div class="dynamic-box">
  @if (boxOptions()?.showCloseOnMobile || !mainBox) {
    <div class="close-dynamic-box">
      <dsfr-button
        label="Fermer"
        (buttonClicked)="onCloseDynamicBox()"
        [type]="buttonTypes.CLOSE">
      </dsfr-button>
    </div>
  }
  <div
    class="dynamic-box-content"
    cdkScrollable>
    <ng-template [cdkPortalOutlet]="boxContent()"></ng-template>
  </div>
</div>


@if (boxOptions()?.hasStrip) {
  <div
    id="strip"
    (click)="onStripClicked()">
  <span
    [ngClass]="{
      'fr-icon-arrow-left-s-line': displayBox,
      'fr-icon-arrow-right-s-line': !displayBox
    }"></span>
  </div>
}
